Linux Security
    Linux Security
    Linux Security

    SUSE: 2020:3476-1 important: postgresql10

    Date 21 Nov 2020
    112
    Posted By LinuxSecurity Advisories
    An update that fixes three vulnerabilities is now available.
    
       SUSE Security Update: Security update for postgresql10
    ______________________________________________________________________________
    
    Announcement ID:    SUSE-SU-2020:3476-1
    Rating:             important
    References:         #1178666 #1178667 #1178668 
    Cross-References:   CVE-2020-25694 CVE-2020-25695 CVE-2020-25696
                       
    Affected Products:
                        SUSE Linux Enterprise Module for Server Applications 15-SP2
                        SUSE Linux Enterprise Module for Server Applications 15-SP1
                        SUSE Linux Enterprise Module for Basesystem 15-SP2
                        SUSE Linux Enterprise Module for Basesystem 15-SP1
    ______________________________________________________________________________
    
       An update that fixes three vulnerabilities is now available.
    
    Description:
    
       This update for postgresql10 fixes the following issues:
    
       - Upgrade to version 10.15:
         * CVE-2020-25695, bsc#1178666: Block DECLARE CURSOR ... WITH HOLD and
           firing of deferred triggers within index expressions and materialized
           view queries.
         * CVE-2020-25694, bsc#1178667: a) Fix usage of complex connection-string
           parameters in pg_dump, pg_restore, clusterdb, reindexdb, and vacuumdb.
           b) When psql's \connect command re-uses connection parameters, ensure
           that all non-overridden parameters from a previous connection string
           are re-used.
         * CVE-2020-25696, bsc#1178668: Prevent psql's \gset command from
           modifying specially-treated variables.
         * Fix recently-added timetz test case so it works when the USA is not
           observing daylight savings time.
         * https://www.postgresql.org/about/news/2111/
         * https://www.postgresql.org/docs/10/release-10-15.html
    
    
    Patch Instructions:
    
       To install this SUSE Security Update use the SUSE recommended installation methods
       like YaST online_update or "zypper patch".
    
       Alternatively you can run the command listed for your product:
    
       - SUSE Linux Enterprise Module for Server Applications 15-SP2:
    
          zypper in -t patch SUSE-SLE-Module-Server-Applications-15-SP2-2020-3476=1
    
       - SUSE Linux Enterprise Module for Server Applications 15-SP1:
    
          zypper in -t patch SUSE-SLE-Module-Server-Applications-15-SP1-2020-3476=1
    
       - SUSE Linux Enterprise Module for Basesystem 15-SP2:
    
          zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP2-2020-3476=1
    
       - SUSE Linux Enterprise Module for Basesystem 15-SP1:
    
          zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP1-2020-3476=1
    
    
    
    Package List:
    
       - SUSE Linux Enterprise Module for Server Applications 15-SP2 (aarch64 ppc64le s390x x86_64):
    
          postgresql10-contrib-10.15-8.22.1
          postgresql10-contrib-debuginfo-10.15-8.22.1
          postgresql10-debuginfo-10.15-8.22.1
          postgresql10-debugsource-10.15-8.22.1
          postgresql10-devel-10.15-8.22.1
          postgresql10-devel-debuginfo-10.15-8.22.1
          postgresql10-plperl-10.15-8.22.1
          postgresql10-plperl-debuginfo-10.15-8.22.1
          postgresql10-plpython-10.15-8.22.1
          postgresql10-plpython-debuginfo-10.15-8.22.1
          postgresql10-pltcl-10.15-8.22.1
          postgresql10-pltcl-debuginfo-10.15-8.22.1
          postgresql10-server-10.15-8.22.1
          postgresql10-server-debuginfo-10.15-8.22.1
    
       - SUSE Linux Enterprise Module for Server Applications 15-SP2 (noarch):
    
          postgresql10-docs-10.15-8.22.1
    
       - SUSE Linux Enterprise Module for Server Applications 15-SP1 (aarch64 ppc64le s390x x86_64):
    
          postgresql10-contrib-10.15-8.22.1
          postgresql10-contrib-debuginfo-10.15-8.22.1
          postgresql10-debuginfo-10.15-8.22.1
          postgresql10-debugsource-10.15-8.22.1
          postgresql10-devel-10.15-8.22.1
          postgresql10-devel-debuginfo-10.15-8.22.1
          postgresql10-plperl-10.15-8.22.1
          postgresql10-plperl-debuginfo-10.15-8.22.1
          postgresql10-plpython-10.15-8.22.1
          postgresql10-plpython-debuginfo-10.15-8.22.1
          postgresql10-pltcl-10.15-8.22.1
          postgresql10-pltcl-debuginfo-10.15-8.22.1
          postgresql10-server-10.15-8.22.1
          postgresql10-server-debuginfo-10.15-8.22.1
    
       - SUSE Linux Enterprise Module for Server Applications 15-SP1 (noarch):
    
          postgresql10-docs-10.15-8.22.1
    
       - SUSE Linux Enterprise Module for Basesystem 15-SP2 (aarch64 ppc64le s390x x86_64):
    
          postgresql10-10.15-8.22.1
          postgresql10-debuginfo-10.15-8.22.1
          postgresql10-debugsource-10.15-8.22.1
    
       - SUSE Linux Enterprise Module for Basesystem 15-SP1 (aarch64 ppc64le s390x x86_64):
    
          postgresql10-10.15-8.22.1
          postgresql10-debuginfo-10.15-8.22.1
          postgresql10-debugsource-10.15-8.22.1
    
    
    References:
    
       https://www.suse.com/security/cve/CVE-2020-25694.html
       https://www.suse.com/security/cve/CVE-2020-25695.html
       https://www.suse.com/security/cve/CVE-2020-25696.html
       https://bugzilla.suse.com/1178666
       https://bugzilla.suse.com/1178667
       https://bugzilla.suse.com/1178668
    

    Advisories

    LinuxSecurity Poll

    How long have you been using Linux?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 4 answer(s).
    /main-polls/46-how-long-have-you-been-using-linux?task=poll.vote&format=json
    46
    radio
    [{"id":"160","title":"Just made the switch!","votes":"4","type":"x","order":"1","pct":9.52,"resources":[]},{"id":"161","title":"1-5 years","votes":"9","type":"x","order":"2","pct":21.43,"resources":[]},{"id":"162","title":"6-10 years","votes":"3","type":"x","order":"3","pct":7.14,"resources":[]},{"id":"163","title":">10 years - I'm a veteran!","votes":"26","type":"x","order":"4","pct":61.9,"resources":[]}] ["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"] ["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"] 350

    Please vote first in order to view vote results.


    VIEW MORE POLLS

    bottom 200

    Please enable / Bitte aktiviere JavaScript!
    Veuillez activer / Por favor activa el Javascript![ ? ]

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.